<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('messages', function (Blueprint $table) {
            $table->id();
            $table->integer('room_id')->index()->comment('房间ID');
            $table->string('from_user', 50)->index()->comment('发送者');
            $table->string('to_user', 50)->nullable()->index()->comment('接收者');
            $table->text('content')->comment('消息内容');
            $table->tinyInteger('is_secret')->default(0)->comment('是否私聊');
            $table->string('font_color', 50)->nullable()->comment('字体颜色');
            $table->string('action', 50)->nullable()->comment('动作');
            $table->dateTime('sent_at')->useCurrent()->index()->comment('发送时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('messages');
    }
};
